zenilib: DetectCallDepth Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Public Types | Public Member Functions | List of all members
DetectCallDepth Class Reference

`#include <DetectCallDepth.h>`

Inherits TIntermTraverser.

## Public Types

enum | ErrorCode { kErrorMissingMain, kErrorRecursion, kErrorMaxDepthExceeded, kErrorNone }

## Public Member Functions

| DetectCallDepth (TInfoSink &infoSync, bool limitCallStackDepth, int maxCallStackDepth)
| ~DetectCallDepth ()
bool | checkExceedsMaxDepth (int depth)
ErrorCode | detectCallDepth ()
virtual bool | visitAggregate (Visit, TIntermAggregate *)
Public Member Functions inherited from TIntermTraverser
| TIntermTraverser (bool preVisit=true, bool inVisit=false, bool postVisit=false, bool rightToLeft=false)
virtual | ~TIntermTraverser ()
void | decrementDepth ()
int | getMaxDepth () const
void | incrementDepth ()
| POOL_ALLOCATOR_NEW_DELETE ()
virtual bool | visitBinary (Visit visit, TIntermBinary *)
virtual bool | visitBranch (Visit visit, TIntermBranch *)
virtual void | visitConstantUnion (TIntermConstantUnion *)
virtual bool | visitLoop (Visit visit, TIntermLoop *)
virtual bool | visitSelection (Visit visit, TIntermSelection *)
virtual void | visitSymbol (TIntermSymbol *)
virtual bool | visitUnary (Visit visit, TIntermUnary *)

## Additional Inherited Members

Static Public Member Functions inherited from TIntermTraverser
static TString | hash (const TString &name, ShHashFunction64 hashFunction)
Public Attributes inherited from TIntermTraverser
const bool | inVisit
const bool | postVisit
const bool | preVisit
const bool | rightToLeft
Protected Attributes inherited from TIntermTraverser
int | depth
int | maxDepth

## Detailed Description

Definition at line 19 of file DetectCallDepth.h.

## Member Enumeration Documentation

enum DetectCallDepth::ErrorCode

Enumerator
kErrorMissingMain |
kErrorRecursion |
kErrorMaxDepthExceeded |
kErrorNone |

Definition at line 21 of file DetectCallDepth.h.

## Constructor & Destructor Documentation

DetectCallDepth::DetectCallDepth | ( | TInfoSink & | infoSync,
|  | bool | limitCallStackDepth,
|  | int | maxCallStackDepth
| ) |  |

Definition at line 72 of file DetectCallDepth.cpp.

DetectCallDepth::~DetectCallDepth | ( |  | ) |

Definition at line 80 of file DetectCallDepth.cpp.

References i.

## Member Function Documentation

bool DetectCallDepth::checkExceedsMaxDepth | ( | int | depth | ) |

Definition at line 127 of file DetectCallDepth.cpp.

DetectCallDepth::ErrorCode DetectCallDepth::detectCallDepth | ( |  | ) |

Definition at line 155 of file DetectCallDepth.cpp.

References error, i, kErrorMissingMain, kErrorNone, main(), and NULL.

Referenced by TCompiler::detectCallDepth().

bool DetectCallDepth::visitAggregate | ( | Visit | visit,
|  | TIntermAggregate * | node
| ) |  |

virtual

Reimplemented from TIntermTraverser.

Definition at line 86 of file DetectCallDepth.cpp.

References EOpFunction, EOpFunctionCall, EOpPrototype, TIntermAggregate::getName(), TIntermOperator::getOp(), NULL, PostVisit, and PreVisit.

The documentation for this class was generated from the following files:

- zenilib/jni/external/angle/src/compiler/DetectCallDepth.h
- zenilib/jni/external/angle/src/compiler/DetectCallDepth.cpp